//==============================================================================
//
// $Workfile: gpif.h $
// $Archive: /Vandalia/fw/gpif.h $
// $Revision: 1 $
// $Date: 1/17/08 10:11a $
// $Author: Esfox1 $
//
//==============================================================================

#ifndef GPIF_H
#define GPIF_H

extern const char xdata FlowStates[36];

void GpifInit();

#endif // #ifndef GPIF_H

//==============================================================================
//
// $Log: /Vandalia/fw/gpif.h $
// 
// 1     1/17/08 10:11a Esfox1
// Working Version of the Firmware, including:
// 
// 1) Full GPIF support (read and write)
// 2) GPIO support (reset, gpif_select, 3 CTRL, 3 STATUS)
// 3) I2C master mode
// 4) JTAG master mode (only partially validated)
// 
// Notes:  This version only works with the Vandalia DUT card becuase it
// compensates for the reversed GPIF_ADDRESS pins on the DUT card.
// 
//==============================================================================
